2023-05-16 Mike Gabriel

        * release 2023.05.16.1 (HEAD -> master, tag: 2023.05.16.1)
        * debian/postrm: Ignore failures during execution of
          deluser/delgroup: (Closes: #1035292). (bee8be2)

2022-09-17 Mike Gabriel

        * bin/debian-edu-faiinstall: Make sure FAI_CONFIGDIR_REAL is set
          before it is accessed. (9d8fba3)

2022-09-16 Mike Gabriel

        * release debian/2022.04.14.1 (9b87327) (tag: debian/2022.04.14.1)
        * debian/control: Add Rules-Requires-Root: field and set it to 'no'.
          (6593c3e)
        * debian/control: Bump Standards-Version: to 4.6.1. No changes
          needed. (3c7a20e)

2022-04-14 Mike Gabriel

        * fai/config/scripts/GRUB_EFI/10-setup: Explicitly set --bootnext
          entry to 0000 after grub-install. (489b4c4)

2022-04-08 Mike Gabriel

        * fai/config/scripts/GRUB_EFI/10-setup: Add EFI boot manager wipe for
          the Dell Venue 8 Pro tablet series. (386ecab)
        * fai/config/scripts/GRUB_EFI/10-setup: Use backquotes, make Midnight
          Commanders shell syntax highlighter happier. (6cdbb48)
        * fai/config/scripts/GRUB_EFI/10-setup: Use <tab> for indentations.
          (59c2b9f)

2022-03-04 Mike Gabriel

        * bin/debian-edu-faiinstall: Drop unused $gtkvideo variable.
          (b2d9c64)

2022-03-03 Mike Gabriel

        * bin/debian-edu-faiinstall: Adjust path in comment. (53ff609)
        * bin/debian-edu-faiinstall: Adjust defaults for NFSROOT and TFTPROOT
          according to debian-edu-fai.conf. (bc51c43)
        * bin/debian-edu-faiinstall: Drop duplicate value defaults for
          wifi_essid and wifi_passphrase. (6471b83)
        * debian/maintscript: Rename /etc/debian-edu/faiinstall.conf to
          /etc/debian-edu/debian-edu-fai.conf. (f171f0d)
        * Rename faiinstall.conf to debian-edu-fai.conf. (52ea327)
        * conf/debian-edu/fai/debian-edu-fai.TEMPLATE/nfsroot.conf.in: Adjust
          paths of TFTPROOT and NFSROOT. More properly use our own
          namespace. (9ef82d6)
        * conf/debian-edu/fai/debian-edu-fai.TEMPLATE/fai.conf.in: Typo fix.
          (d1db554)

2022-02-22 Mike Gabriel

        * release debian/2022.02.22.1 (b911c85) (tag: debian/2022.02.22.1)
        * debian/postinst: Fix add user call, add user account name (which
          was obviously missing). (82d6f58)

2022-02-15 Mike Gabriel

        * fai/config/class/{10-*,20-*}: Update from upstream FAI config
          space. (2f96c88)
        * fai/config/scripts/EDU/50-cups-browsing: Assure that
          CreateRemoteCUPSPrinterQueues is set to 'Yes'. (f5595de)
        * Revert "fai/config/scripts/EDU/50-cups-browsing: Assure that
          CreateRemoteCUPSPrinterQueues is set to 'Yes'." (bcc64ca)
        * fai/config/scripts/EDU/50-cups-browsing: Assure that
          CreateRemoteCUPSPrinterQueues is set to 'Yes'. (c07b8a4)

2022-02-10 Mike Gabriel

        * fai/config/basefiles/mk-basefile: Drop file. Not needed here.
          (81d4c8b)

2022-02-09 Mike Gabriel

        * release 2022.02.09.1 (7078eef) (tag: debian/2022.02.09.1)
        * fai/config/package_config/STANDARD: python{,-minimal} are virtual,
          let's use python3{,-minimal} instead. (a97eaac)
        * bin/debian-edu-faiinstall: Fix school_tag here, too. (6745dee)
        * bin/debian-edu-faiinstall: Obviously 'test -d' is true for symlinks
          that point to a directory. In that case, we need to be
          more precise. (351eef6)

2022-02-04 Mike Gabriel

        * bin/debian-edu-faiinstall: Typo fix for previous commit. (21ed767)
        * bin/debian-edu-faiinstall: Fix script failure if /srv/tftp/ltsp
          does not exist. (5618ae0)

2022-01-31 Mike Gabriel

        * release 2022.01.31.1 (76f787b) (tag: debian/2022.01.31.1)
        * debian/control: Move from R: to D: adduser, fai-server, ipxe.
          (0a93d80)
        * fai/config/files/etc/security/group.conf/: Use same group.conf for
          the WORKSTATION and ROAMING_WORKSTATION class. Duplicate
          that file. (261bf68)
        * debian/copyright: Update copyright attributions. (a6c6052)
        * debian/control: Bump Standards-Version: to 4.6.0, bump DH compat
          level to version 13. (5c225f1)
        * debian/control: Add D: adduser. (1c494d3)
        * debian/{postinst,postrm}: Create 'fai' system account during
          pkg:postinst. (9f7b2c5)
        * debian/install: Adjust DH install. (a758a5b)
        * README.md: Initial version of a short README explaining how to set
          up debian-edu-fai. (5f28a6c)

2022-01-27 Mike Gabriel

        * bin/debian-edu-faiinstall: Create .ipxe file as ltsp.ipxe first,
          then create a symlink 'debian-edu-fai.ipxe' to reflect
          that this is not LTSP but FAI. (1598c14)
        * bin/debian-edu-faiinstall: Adjust installation of TFTP
          configuration files. Place files into /srv/tftp/ltsp to
          match Debian Edu 11 LDAP/DHCP settings. (d6a9338)

2022-01-11 Mike Gabriel

        * fai/config/files/etc/security/: Ship PAM group.conf for WORKSTATION
          class. LDAP users should be members of several system
          groups on networked WORKSTATIONs. (929a850)
        * fai/config/class: Rename debian-edu.profile and start the filename
          with z<nn>_... Also split out FAI Inventory and FAI
          Sysinfo. (cc852d6)

2022-01-06 Mike Gabriel

        * fai/config/debconf/EDU: Stop using debian-edu-server.crt as
          ldap-cacertfile, use ca-certificates.crt instead.
          (648e9c5)

2022-01-04 Mike Gabriel

        * contrib/tftp: Drop syslinux based tftp example files, not required
          anymore. (0036d0f)
        * disk_config/LVM_EDU*_LEGACY: Drop LEGACY partition layouts. Not
          needed anymore. (f16f4e0)
        * class/debian-edu.profile: Fine-tune debian-edu.profile so that it
          fits into the FAI menu dialog box. (2c973f1)
        * class/debian-edu.profile: Rewrite profiles, drop BIOS legacy
          profiles (now covered by GPT partition table layouts that
          can handle UEFI and BIOS installations). (a04a02f)
        * class/debian-edu.profile: Add 'Debian Edu Minimal' installation
          profile. (634974c)
        * disk_config/: Add LVM_EDU_MINIMAL partition layout. (c41416b)
        * .gitignore: Add file. Hide FAIBASE.var.in file. (c125885)
        * fai/config/scripts/ROAMING_WORKSTATION/80-fix-ldap-access: Use
          Debian Edu's rootCA certificat for connecting to LDAP.
          (4e1a72f)
        * scripts/*WORKSTATION/10-update-debian-edu-config: Add FIXME
          comment. Needs more investigation. (446b82a)
        * scripts/EDU/98-drop-fai-aptproxy: Drop script. It is actually quite
          recommendable keeping the FAI proxy (it might be optimized
          for APT package downloading). (fc58f10)
        * scripts/EDU/50-cups-browsing: Adapted to Debian Edu 11, modify
          cups-browsed-debian-edu.conf instead of cups-browsed.conf.
          (35f00a5)
        * hooks/instsoft.EDU: Use http://webcache:3128 for pulling in MS core
          fonts. (76cfdd1)
        * disk_config/: Enlarge /usr, limit /var to max. 10G for LVM profiles
          without /home. (7426973)
        * Debian Edu profiles: Add support for 'Minimal' installation
          profile. (730836a)
        * disk_config/: Add LVM_EDU_TABLET_LEGACY, for tablets with BIOS.
          (43bf6ac)
        * debian/install: Install debian-edu-faiinstall into DEB package.
          (d41bfe6)
        * debian/install: Install new config files in DEB package. (b2befe3)
        * conf/exports.d/debian-edu-fai.exports: Provide NFS configuration
          for debian-edu-fai. (1495092)
        * debian/control: Add R: qemu-user-static. (bdeec4b)
        * conf/debian-edu/fai/debian-edu-fai.TEMPLATE/: Add nfsroot conf
          template for debian-edu-fai(install). (d3d3a83)
        * conf/debian-edu/faiinstall.conf: Mostly commented out (default)
          config for debian-edu-faiinstall script. (5f46640)
        * bin/debian-edu-faiinstall: Script for fully automatically deploying
          multiple FAI installer nfsroots on the local school
          network. (f370c80)

2021-12-23 Mike Gabriel

        * debian/control: Move ipxe and fai-server into Recommends: field.
          (56c2ed5)
        * fai/config/class/FAIBASE.var.in: Turn file into a configurable
          template file that will/can be populated via
          'debian-edu-faiinstall' script. (25936eb)

2021-11-01 Mike Gabriel

        * contrib/tftp: Add tftpd configuration. (11a6a0e)

2021-09-06 Mike Gabriel

        * Debian 11 is stable now, get ready for Debian 12. (8a51fbd)
        * fai/config/scripts/EDU/40-cfengine-debian-edu-postinstall: Fix
          cf-agent run, the absolute path to the executable has
          changed in Debian 11 (/usr/sbin/ -> /usr/bin/). (17825b3)

2020-10-06 Mike Gabriel

        * fai/config/files/etc/apt/sources.list.d/debian-*.list/NONFREE_11:
          Comment out fai-mirror repos. (71cc935)
        * fai/config/class/debian-edu.profile: Make
          Edu+Roaming-EFI-Workstation/MATE the default profile.
          (daae1a7)
        * fai/config/debconf/DEBIAN: Re-enable grub-pc seed. (82e8fe0)
        * Get ready for Debian 11. (347a0fb)
        * fai/config/class/debian-edu.profile: Support BIOS legacy partition
          tables (and offer them via FAI installation menu for MATE
          workstations). (5e4fbe3)
        * fai/config/scripts/LAST/90-show-network-cards: Show hostname in
          network card summary at end-of-installation. (5978f36)

2020-07-08 Mike Gabriel

        * files/etc/apt/sources.list.d/fai-mirror*.list: Add support for
          local FAI mirror. (530c2f2)
        * scripts/LAST/90-show-network-cards: Script that shows network cards
          (and their MACs at end-of-installation). (49bc5ba)
        * disk_config/: Add LVM_EDU_TABLET disk config. (e9b885d)
        * config/disk_config/: Switch to GPT partition tables (supporting EFI
          and legacy grub install). (23d8526)
        * disk_config/LVM_EDU_ROAMING: Add disk config for optimized for
          roaming workstations. (4f34231)
        * class/50-host-classes: Don't set too many default classes. This
          needs to be handled by kernel cmdline or FAI profiles.
          (470124c)
        * debconf/DEBIAN: Comment out grub-pc pre-seeding. This needs to be
          more device specific. (b230e1c)
        * debconf/EDU: Don't default to LightDM. This is desktop env
          dependent. (8bdbd93)
        * config/scripts/EDU/99-proxy-from-wpad: Don't fail, if offline.
          (bbb5dca)
        * Better EFI bootloader support. (31a0ac7)
        * rebase GNOME (f1c4e14)
        * package_config/DEBIAN: Add non-free pkg firmware-intel-sound.
          (bd5fffb)
        * rebase DEBIAN10+11 (96ac203)
        * class/debian-edu.profile: Target DEBIAN_10 for now. (1af7fde)
        * Try to update client's time via ntp.intern (aka TJENER). Help's if
          the clock is askew. (3a1d749)
        * class/debian-edu.profile: Drop untested Xfce variant for now.
          (2eb114c)
        * Add ROAMING_WORKSTATION support. (dfca928)
        * files/etc/apt/sources.list/DEBIAN_10 (77349f4)
        * fai/config/class/FAIBASE.var: Set LOGUSER and LOGSERVER. (4245740)
        * fai/config/debconf/GNOME: Enforce LightDM as DM with MATE desktop
          installs. (0b146f2)
        * fai/config/debconf/GNOME: Enforce gdm3 as DM with GNOME desktop
          installs. (acd57a3)
        * Add support for Debian 11 (aka bullseye). (71ba935)

2019-11-08 Mike Gabriel

        * fai/config/scripts/EDU/50-cups-browsing: remove debugging code
          (fc718fa)
        * fai/config/scripts/EDU/50-cups-browsing: Force Edu clients to
          minimal CUPS browsing, in order to keep print dialogs
          clean and slim. (See: #944347). (76704de)

2019-10-03 Mike Gabriel

        * FAI config: well-tested Debian Edu 10 minimal + MATE workstation
          installation (f48ca15)

2019-09-19 Mike Gabriel

        * debian/: Wrap up debian-edu-fai package. (8525a66)
        * initial draft of getting FAI install a Debian Edu system (profile:
          Minimal) (6ecb19a)
